SaaS API Document

For Publisher

Offline / Static (Server-to-Server) CPI Campaign API

Version 1.0 · 2026 · Confidential & Proprietary

1. Introduction

This document introduces the looopgame API (hereinafter referred to as the API). Advanced partners can retrieve campaign information by calling the API. The looopgame API is built on the HTTP protocol and uses GET / POST methods to obtain the response content.

To call our API, please contact your account manager to obtain your API Key for authentication. Since anyone with the API Key can conduct API requests on your account’s behalf, please keep your API Key confidential.

2. Objective

This document provides directions on how to access looopgame’s offline / static (server-to-server) CPI campaign API.

  1. The results of this call need to be cached in your back-end server and may not be included directly in any front-end applications.
  2. If a campaign is deactivated, it will be removed from this feed without further notice.
  3. We recommend updating offers every 10–15 minutes to ensure you are getting the latest campaigns. Please do not update more often than every 5 minutes.

Please note, you will have to keep track of rules and restrictions.

3. API Request Format

Access to looopgame’s offline API is via HTTP GET using the following URL:

Endpoint
http://api.looopgame.net/get_campaigns?publisher_id={publisher_id}&access_token={access_token}

Please contact your account manager to obtain your token.

Example Request (cURL)

cURL
curl -G "http://api.looopgame.net/get_campaigns" \
  --data-urlencode "publisher_id=1000041" \
  --data-urlencode "access_token=YOUR_ACCESS_TOKEN" \
  --data-urlencode "geo=us" \
  --data-urlencode "fields=event,click_cap"

Request Parameters

ParameterDescriptionTypeMandatory
tokenPublisher security identificationStringYes
publisher_idPublisher identificationIntYes
platformApp / WebStringNo
geo2-letter ISO country code; leave blank to return allStringNo
fieldsfields=click_cap: displays click cap for each campaign.
fields=event: shows target event for each campaign.
Example: fields=event,click_cap,multi_event
StringNo
multi_eventfields=multi_eventStringNo

4. API Response

The API returns a JSON object describing the available campaigns.

Example Response (JSON)

JSON
{
  "status": 200,
  "total": 1,
  "payout_type": "CPI",
  "platform": "ANDROID",
  "deviceid_must": "GAID",
  "min_os_version": "4.1",
  "geo": ["us"],
  "campaigns": [
    {
      "name": "Uber",
      "package": "com.ubercab",
      "payout": 2.5,
      "cap": 500,
      "tracking_url": "http://go.looopgame.net/?campaign_id=3943876&publisher_id=1000041",
      "impression_url": "",
      "preview_url": "",
      "icon_url": "",
      "event": "install",
      "click_cap": 10000
    }
  ]
}

Response Fields

ParameterDescriptionTypeExample
totalAmount of campaignsInt1
statusStatusInt200
payout_typeCampaign conversion typeStringCPI
platformAndroidStringANDROID / IOS
deviceid_mustDevice ID needed from click URLStringGAID / IDFA
min_os_versionMinimum allowed OS version for payment by advertiserString4.1
geoTarget countryArray['in', 'us']
tracking_urlClick tracking URLString
impression_urlFire the impression URL when an ad is shown to the audienceString
payoutCampaign payout for publisherFloat2.5
nameCampaign nameStringUber
packageCampaign package IDStringcom.ubercab
capCampaign cap (install)String500
preview_urlPreview URLString
icon_urlIcon URLString

5. Tracking URL

The click URL contains a number of parameters that must be replaced with relevant values:

Tracking URL
http://go.looopgame.net/?campaign_id={campaign_id}&publisher_id={publisher_id}

You can append more parameters for your tracking purposes:

Example
Eg: http://go.looopgame.net/?campaign_id=3943876&publisher_id=1000041&channel={your_sub_id}&clickid={your_click_id}

Supported Macros

MacroDescription
clickidClick ID
siteSource traffic package name
channelChannel ID
sub_1Custom value sub_1
sub_2Custom value sub_2
sub_3Custom value sub_3
gaidGoogle Advertising ID (GAID)
idfaIdentifier for Advertisers (IDFA)
android_idAndroid ID
ipIP address of the user
langLanguage (example: en-US, en)
uaUser agent (URL encoded), e.g. Mozilla%2F5.0+%28iPhone%3B+CPU+iPhone+OS+13_3_1+like+Mac+OS+X%29

6. Postback URL

You can contact your account manager to set up the global postback.

Example

Postback
http://receive.looopgame.net?clickid={CLICKID}&payout={PAYOUT}

Supported Macros

MacroDescription
{CLICKID}Unique click identifier passed in the tracking URL
{PAYOUT}Payout amount for the conversion
{SITE}Source traffic package name
{CHANNEL}Channel ID
{SUB_CHANNEL}Sub-channel value
{SUB_1}Custom value sub_1
{SUB_2}Custom value sub_2
{SUB_3}Custom value sub_3
{IP}User IP address
{UA}URL-encoded user agent
{LANG}User language